module TrackTest exposing (specs)
import Fixtures

import Track exposing (Track)
import Test exposing (..)
import Expect exposing (Expectation)

specs: Test
specs =
    describe "XML Parsing"
        [ test "it runs" <|
              \_ ->
              let
                  r = Track.parse Fixtures.threepoints
              in
                  case r of
                      (Ok trk) -> Expect.equal (List.length trk) 3
                      _ -> Expect.fail "not ok"
        ]
